/******************************************************************************/
/*	"Easy Gem" library Copyright (c)1994 by		Christophe BOYANIQUE				*/
/*																29 Rue Rpublique					*/
/*																37230 FONDETTES					*/
/*																FRANCE								*/
/*						*small* mail at email adress:	cb@spia.freenix.fr				*/
/******************************************************************************/
/*	This program is free software; you can redistribute it and/or modify it		*/
/*	under the terms of the GNU General Public License as published by the Free	*/
/*	Software Foundation; either version 2 of the License, or any later version.*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or		*/
/* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for	*/
/*	more details.																					*/
/*	You should have received a copy of the GNU General Public License along		*/
/*	with this program; if not, write to the Free Software Foundation, Inc.,		*/
/*	675 Mass Ave, Cambridge, MA 02139, USA.												*/
/******************************************************************************/
/*																										*/
/*	THIS IS POVSHELL SOURCES AS AN EXEMPLE OF USE OF EGlib							*/
/*																										*/
/******************************************************************************/

/******************************************************************************/
/*	INCLUDES																							*/
/******************************************************************************/
#include		"PROTO.H"



void initTable()
{
	_cut(glb.rsc.head.frstr[TINFT1]);
	_cut(glb.rsc.head.frstr[TINFT2]);

	_cut(glb.rsc.head.frstr[TINFPAR]);
	_cut(glb.rsc.head.frstr[TINFPOV2]);
	_cut(glb.rsc.head.frstr[TINFPRF]);
	_cut(glb.rsc.head.frstr[TINFDSK]);
	_cut(glb.rsc.head.frstr[TINFLIB]);
	_cut(glb.rsc.head.frstr[TINFPOV]);
	_cut(glb.rsc.head.frstr[TINFTDT]);
	_cut(glb.rsc.head.frstr[TINFQUIT]);

	_cut(glb.rsc.head.frstr[TPARNLG]);
	_cut(glb.rsc.head.frstr[TPARBRK]);
	_cut(glb.rsc.head.frstr[TPARKFN]);
	_cut(glb.rsc.head.frstr[TPARCON]);
	_cut(glb.rsc.head.frstr[TPARKER]);
	_cut(glb.rsc.head.frstr[TPARAFF]);
	_cut(glb.rsc.head.frstr[TPARFMT]);
	_cut(glb.rsc.head.frstr[TPARAFF]);
	_cut(glb.rsc.head.frstr[TPARQUAL]);
	_cut(glb.rsc.head.frstr[TPARLRG]);
	_cut(glb.rsc.head.frstr[TPARHAU]);
	_cut(glb.rsc.head.frstr[TPARDEB]);
	_cut(glb.rsc.head.frstr[TPARFIN]);

	_cut(glb.rsc.head.frstr[TDISCAL]);
	_cut(glb.rsc.head.frstr[TDIS1]);
	_cut(glb.rsc.head.frstr[TDIS2]);
	_cut(glb.rsc.head.frstr[TDIS3]);
	_cut(glb.rsc.head.frstr[TDIS4]);

	_cut(glb.rsc.head.frstr[TPV2T1]);
	_cut(glb.rsc.head.frstr[TPV2T2]);
	_cut(glb.rsc.head.frstr[TPV2LAB]);
	_cut(glb.rsc.head.frstr[TPV2TAB]);
	_cut(glb.rsc.head.frstr[TPV2LAN]);

	_cut(glb.rsc.head.frstr[TPRFSHL]);
	_cut(glb.rsc.head.frstr[TPRFCMD]);
	_cut(glb.rsc.head.frstr[TPRFLOA]);
	_cut(glb.rsc.head.frstr[TPRFSAV]);

	_cut(glb.rsc.head.frstr[TDSKTDT]);

	_cut(glb.rsc.head.frstr[WINFO]);
	_cut(glb.rsc.head.frstr[WPARAM]);
	_cut(glb.rsc.head.frstr[WPOV2]);
	_cut(glb.rsc.head.frstr[WPREF]);
	_cut(glb.rsc.head.frstr[WDISK]);
}

void switchLang()
{
	int	i;

	_putSpec(glb.rsc.head.trindex[FINFO],		FINFT1,		glb.rsc.head.frstr[TINFT1]);
	_putSpec(glb.rsc.head.trindex[FINFO],		FINFT2,		glb.rsc.head.frstr[TINFT2]);

	_putSpec(glb.rsc.head.trindex[PINFO],		PINFPAR,		glb.rsc.head.frstr[TINFPAR]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFPOV2,	glb.rsc.head.frstr[TINFPOV2]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFPRF,		glb.rsc.head.frstr[TINFPRF]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFDSK,		glb.rsc.head.frstr[TINFDSK]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFLIB,		glb.rsc.head.frstr[TINFLIB]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFPOV,		glb.rsc.head.frstr[TINFPOV]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFTDT,		glb.rsc.head.frstr[TINFTDT]);
	_putSpec(glb.rsc.head.trindex[PINFO],		PINFQUIT,	glb.rsc.head.frstr[TINFQUIT]);

	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARNLG,		glb.rsc.head.frstr[TPARNLG]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARBRK,		glb.rsc.head.frstr[TPARBRK]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARKFN,		glb.rsc.head.frstr[TPARKFN]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARCON,		glb.rsc.head.frstr[TPARCON]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARKER,		glb.rsc.head.frstr[TPARKER]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARAFF,		glb.rsc.head.frstr[TPARAFF]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARFMT,		glb.rsc.head.frstr[TPARFMT]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARAFF,		glb.rsc.head.frstr[TPARAFF]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARQUAL,	glb.rsc.head.frstr[TPARQUAL]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARLRG,		glb.rsc.head.frstr[TPARLRG]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARHAU,		glb.rsc.head.frstr[TPARHAU]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARCDB,		glb.rsc.head.frstr[TPARDEB]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARLDB,		glb.rsc.head.frstr[TPARDEB]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARCFN,		glb.rsc.head.frstr[TPARFIN]);
	_putSpec(glb.rsc.head.trindex[FPARAM],		FPARLFN,		glb.rsc.head.frstr[TPARFIN]);

	_putSpec(glb.rsc.head.trindex[PDISPLAY],	PDISCAL,		glb.rsc.head.frstr[TDISCAL]);
	_putSpec(glb.rsc.head.trindex[PDISPLAY],	PDIS1,		glb.rsc.head.frstr[TDIS1]);
	_putSpec(glb.rsc.head.trindex[PDISPLAY],	PDIS2,		glb.rsc.head.frstr[TDIS2]);
	_putSpec(glb.rsc.head.trindex[PDISPLAY],	PDIS3,		glb.rsc.head.frstr[TDIS3]);
	_putSpec(glb.rsc.head.trindex[PDISPLAY],	PDIS4,		glb.rsc.head.frstr[TDIS4]);

	_putSpec(glb.rsc.head.trindex[FPOV2],		FPV2T1,		glb.rsc.head.frstr[TPV2T1]);
	_putSpec(glb.rsc.head.trindex[FPOV2],		FPV2T2,		glb.rsc.head.frstr[TPV2T2]);
	_putSpec(glb.rsc.head.trindex[FPOV2],		FPV2LAB,		glb.rsc.head.frstr[TPV2LAB]);
	_putSpec(glb.rsc.head.trindex[FPOV2],		FPV2TAB,		glb.rsc.head.frstr[TPV2TAB]);
	_putSpec(glb.rsc.head.trindex[FPOV2],		FPV2LAN,		glb.rsc.head.frstr[TPV2LAN]);

	_putSpec(glb.rsc.head.trindex[FPREF],		FPRFSHL,		glb.rsc.head.frstr[TPRFSHL]);
	_putSpec(glb.rsc.head.trindex[FPREF],		FPRFCMD,		glb.rsc.head.frstr[TPRFCMD]);
	_putSpec(glb.rsc.head.trindex[FPREF],		FPRFLOA,		glb.rsc.head.frstr[TPRFLOA]);
	_putSpec(glb.rsc.head.trindex[FPREF],		FPRFSAV,		glb.rsc.head.frstr[TPRFSAV]);

	_putSpec(glb.rsc.head.trindex[FDISK],		FDSKTDT,		glb.rsc.head.frstr[TDSKTDT]);

	if ( (i=_winFindId(TW_FORM,FINFO,TRUE)) !=-1 )
		_winName(i,_getLang(glb.rsc.head.frstr[WINFO]),"POVshell");
	if ( (i=_winFindId(TW_FORM,FPARAM,TRUE)) !=-1 )
		_winName(i,_getLang(glb.rsc.head.frstr[WPARAM]),"POVshell");
	if ( (i=_winFindId(TW_FORM,FPOV2,TRUE)) !=-1 )
		_winName(i,_getLang(glb.rsc.head.frstr[WPOV2]),"POVshell");
	if ( (i=_winFindId(TW_FORM,FPREF,TRUE)) !=-1 )
		_winName(i,_getLang(glb.rsc.head.frstr[WPREF]),"POVshell");
	if ( (i=_winFindId(TW_FORM,FDISK,TRUE)) !=-1 )
		_winName(i,_getLang(glb.rsc.head.frstr[WDISK]),"POVshell");

	_menuBar(glb.menu,0);
	if (glb.opt.lang==L_FRENCH)
		glb.menu=MENU0;
	else
		glb.menu=MENU1;
	_menuBar(glb.menu,1);
}
